"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FluentPropertyLabel = void 0;
const react_1 = require("@fluentui/react");
const react_2 = require("react");
const react_3 = __importDefault(require("react"));
const formbuilder_1 = require("@wiberg/formbuilder");
const FluentPropertyLabelComp = (props) => {
    return (react_3.default.createElement("div", { style: { display: "flex" } },
        !props.hideLabel && react_3.default.createElement(react_1.Label, { key: props.parentKey + "-label", required: props.validationMark === formbuilder_1.ValidationMark.Required }, props.propertySchema.displayName),
        (!props.hideLabel && props.propertySchema.description) &&
            react_3.default.createElement(react_1.Icon, { key: props.parentKey + "-labelicon", iconName: "Info", styles: { root: { marginTop: "8px", paddingLeft: "5px", cursor: "help" } }, title: props.propertySchema.description })));
};
const preventUpdate = (prev, next) => {
    return prev.labelText === next.labelText;
};
exports.FluentPropertyLabel = (0, react_2.memo)(FluentPropertyLabelComp, preventUpdate);
//# sourceMappingURL=FluentPropertyLabel.js.map