"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DynamicBooleanField = void 0;
const react_1 = require("react");
const react_2 = require("@fluentui/react");
const fluentUiValidationMessageElement_1 = require("../fluentUiValidationMessageElement");
const react_3 = __importDefault(require("react"));
const DynamicBooleanField = (props) => {
    var _a, _b, _c, _d, _e, _f, _g;
    const [value, setValue] = (0, react_1.useState)(props.value);
    (0, react_1.useEffect)(() => setValue(props.value), [props.value]);
    const onChange = (ev, value) => {
        setValue(value);
        props.onChange(value);
    };
    return (react_3.default.createElement(react_3.default.Fragment, null,
        ((_a = props.config) === null || _a === void 0 ? void 0 : _a.asToggle)
            ? react_3.default.createElement(react_2.Toggle
            // key={ props.key }
            , { 
                // key={ props.key }
                onText: (_c = (_b = props.config) === null || _b === void 0 ? void 0 : _b.textIfTrue) !== null && _c !== void 0 ? _c : "On", offText: (_e = (_d = props.config) === null || _d === void 0 ? void 0 : _d.textIfFalse) !== null && _e !== void 0 ? _e : "Off", onChange: onChange, defaultChecked: value, disabled: props.disabled })
            : react_3.default.createElement(react_2.Checkbox
            // key={ props.key }
            , { 
                // key={ props.key }
                label: !!value ? (_f = props.config) === null || _f === void 0 ? void 0 : _f.textIfTrue : (_g = props.config) === null || _g === void 0 ? void 0 : _g.textIfFalse, onChange: onChange, defaultChecked: value, disabled: props.disabled }),
        props.errorMessage &&
            (0, fluentUiValidationMessageElement_1.fluentUiValidationMessageElement)(props.errorMessage)));
};
exports.DynamicBooleanField = DynamicBooleanField;
//# sourceMappingURL=DynamicBooleanField.js.map